std::bad_typeid(3)

NAME
std::bad_typeid - Thrown when a NULL pointer in a typeid expression is used.

SYNOPSIS

Inherits std::exception.

  Public Member Functions
virtual const char * what () const noexcept

Detailed Description

Thrown when a NULL pointer in a typeid expression is used.

Definition at line 207 of file typeinfo.

Member Function Documentation

  virtual const char* std::bad_typeid::what () const [virtual], [noexcept]
Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

Author

Generated automatically by Doxygen for libstdc++ from the source code.